﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace RadTimeline.Customization
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            List<TimeDataClass> timeDatas = new List<TimeDataClass>();

            Random rnd = new Random();

            DateTime startDate = new DateTime(2012, 2, 1);

            for (int i = 0; i < 100; i++)
            {
                TimeDataClass tdc = new TimeDataClass();
                tdc.StringData = "String " + i.ToString();
                tdc.StartValue = startDate.AddHours(i * 6);
                tdc.EndValue = (i % 7 == 0 ? tdc.StartValue : startDate.AddHours(rnd.Next(7, 9) * i));
                tdc.Description = "This is a long description that is meant to fill a very cool new tooltip that we will be crafting in a moment.";

                timeDatas.Add(tdc);
            }

            xRadTimeline.ItemsSource = timeDatas;
        }
    }

    public class TimeDataClass
    {
        public string StringData { get; set; }
        public DateTime StartValue { get; set; }
        public DateTime EndValue { get; set; }
        public string Description { get; set; }
        public TimeSpan Duration
        {
            get { return EndValue - StartValue; }
        }
    }
}
